#pragma once


#include "DDXFile.h"


class CTestgetfileDlg : public CDialog
{
public:
//Constructors / Destructors
  CTestgetfileDlg(_In_opt_ CWnd* pParent = nullptr);
  CTestgetfileDlg(const CTestgetfileDlg&) = delete;
  CTestgetfileDlg(CTestgetfileDlg&&) = delete;
  ~CTestgetfileDlg() = default; //NOLINT(modernize-use-override)

//Methods
  CTestgetfileDlg& operator=(const CTestgetfileDlg&) = delete;
  CTestgetfileDlg& operator=(CTestgetfileDlg&&) = delete;

//Member variables
  enum { IDD = IDD_TESTGETFILE_DIALOG };
  CButton m_ctrlNotEmpty;
  CButton m_ctrlEnabled;
  CButton m_ctrlOverwritePrompt;
  CButton m_ctrlFileMustExist;
  CButton m_ctrlAutoComplete;
  CButton m_ctrlReadOnly;
  CButton m_ctrlVisible;
  CGetFilenameControl m_ctrlGetFilename;
  CString m_sFilename;

protected:
//Methods
  void DoDataExchange(CDataExchange* pDX) override;
  BOOL OnInitDialog() override;

//Member variables
  HICON m_hIcon;

//Message handlers
  afx_msg void OnPaint();
  afx_msg HCURSOR OnQueryDragIcon();
  afx_msg void OnFileMustExist();
  afx_msg void OnOverwritePrompt();
  afx_msg void OnReadonly();
  afx_msg void OnEnabled();
  afx_msg void OnAutoComplete();
  afx_msg void OnVisible();
  
  DECLARE_MESSAGE_MAP()
};
